Bug 1528425 (CVE-2017-17528) - CVE-2017-17528 scummvm: Command injection in backends/platform/sdl/posix/posix.cpp
Summary: CVE-2017-17528 scummvm: Command injection in backends/platform/sdl/posix/posi...
Status: CLOSED UPSTREAM
Alias: CVE-2017-17528
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171221,repor...
Keywords: Security
Depends On: 1528426
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-21 19:56 UTC by Pedro Sampaio
Modified: 2019-06-08 22:34 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:34:51 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-21 19:56:02 UTC
backends/platform/sdl/posix/posix.cpp in ScummVM 1.9.0 does not validate strings
before launching the program specified by the BROWSER environment variable,
which might allow remote attackers to conduct argument-injection attacks via a
crafted URL.

References:

https://security-tracker.debian.org/tracker/CVE-2017-17528
https://bugzilla.novell.com/show_bug.cgi?id=1073248

Comment 1 Pedro Sampaio 2017-12-21 19:56:32 UTC
Created scummvm tracking bugs for this issue:

Affects: fedora-all [bug 1528426]

Comment 2 Fedora Update System 2018-05-05 20:26:15 UTC
scummvm-2.0.0-1.fc28, scummvm-tools-2.0.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2018-05-05 22:24:58 UTC
scummvm-2.0.0-1.fc27, scummvm-tools-2.0.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 03:34:51 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.